#===============================================================================
# @file   FindSIMULPACK.cmake
#
#
# @date creation: Thu Mar 17 2011
# @date last modification: Fri Jan 04 2013
#
# @brief  
#
# @section LICENSE
#
# Copyright (©) 2014 EPFL (Ecole Polytechnique Fédérale de Lausanne)
# Laboratory (LSMS - Laboratoire de Simulation en Mécanique des Solides)
#
# Akantu is free  software: you can redistribute it and/or  modify it under the
# terms  of the  GNU Lesser  General Public  License as  published by  the Free
# Software Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# Akantu is  distributed in the  hope that it  will be useful, but  WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A  PARTICULAR PURPOSE. See  the GNU  Lesser General  Public License  for more
# details.
#
# You should  have received  a copy  of the GNU  Lesser General  Public License
# along with Akantu. If not, see <http://www.gnu.org/licenses/>.
#
#===============================================================================

find_path(SIMULPACK_INCLUDE_PATH adlib.h
  PATHS ${SIMULPACK_DIR} ENV C_INCLUDE_PATH
  PATH_SUFFIXES include src adlib adlib-cmake
  )

SET(USING_SIMULPACK_TEMPERATURE OFF CACHE BOOL "Activation of temperature within SIMULPACK plugin" )

SET(SIMULPACK_MATERIALS "-NOTFOUND" CACHE LIBRARY "" FORCE)
SET(SIMULPACK_MECHANICS "-NOTFOUND" CACHE LIBRARY "" FORCE)
SET(SIMULPACK_MESHER3D "-NOTFOUND" CACHE LIBRARY "" FORCE)
SET(SIMULPACK_UTILS "-NOTFOUND" CACHE LIBRARY "" FORCE)
SET(SIMULPACK_FEM "-NOTFOUND" CACHE LIBRARY "" FORCE)
SET(SIMULPACK_LIBMYUTILS "-NOTFOUND" CACHE LIBRARY "" FORCE)
SET(SIMULPACK_SUBDI_COLLAPSE3D "-NOTFOUND" CACHE LIBRARY "" FORCE)
SET(SIMULPACK_MESH_IO "-NOTFOUND" CACHE LIBRARY "" FORCE)


FIND_LIBRARY(SIMULPACK_PMECHANICS NAME pmechanics
   PATHS ${SIMULPACK_DIR}
   PATHS ${SIMULPACK_LIB_PATH}
   PATH_SUFFIXES lib 
   )
FIND_LIBRARY(SIMULPACK_MESHER3D NAME mesher3d
   PATHS ${SIMULPACK_DIR}
   PATHS ${SIMULPACK_LIB_PATH}
   PATH_SUFFIXES lib 
   )
FIND_LIBRARY(SIMULPACK_MATERIALS NAME materials 
   PATHS ${SIMULPACK_DIR}
   PATHS ${SIMULPACK_LIB_PATH}
   PATH_SUFFIXES lib 
   )
FIND_LIBRARY(SIMULPACK_MECHANICS NAME mechanics 
   PATHS ${SIMULPACK_DIR}
   PATHS ${SIMULPACK_LIB_PATH}
   PATH_SUFFIXES lib 
   )
FIND_LIBRARY(SIMULPACK_FEM NAME fem 
   PATHS ${SIMULPACK_DIR}
   PATHS ${SIMULPACK_LIB_PATH}
   PATH_SUFFIXES lib 
   )
FIND_LIBRARY(SIMULPACK_MYUTILS NAME myutils
   PATHS ${SIMULPACK_DIR}
   PATHS ${SIMULPACK_LIB_PATH}
   PATH_SUFFIXES lib 
   )
FIND_LIBRARY(SIMULPACK_UTILS NAME utils
   PATHS ${SIMULPACK_DIR}
   PATHS ${SIMULPACK_LIB_PATH}
   PATH_SUFFIXES lib 
   )
FIND_LIBRARY(SIMULPACK_SUBDI_COLLAPSE3D NAME subdi_collapse3d
   PATHS ${SIMULPACK_DIR}
   PATHS ${SIMULPACK_LIB_PATH}
   PATH_SUFFIXES lib 
   )
FIND_LIBRARY(SIMULPACK_MESH_IO NAME mesh_io
   PATHS ${SIMULPACK_DIR}
   PATHS ${SIMULPACK_LIB_PATH}
   PATH_SUFFIXES lib 
   )

IF (USING_SIMULPACK_TEMPERATURE)
ADD_DEFINITIONS(-DUSING_SIMULPACK_TEMPERATURE)

FIND_LIBRARY(SIMULPACK_MULTIPHYSICS NAME multiphysics
   PATHS ${SIMULPACK_DIR}
   PATHS ${SIMULPACK_LIB_PATH}
   PATH_SUFFIXES lib 
   )
ENDIF (USING_SIMULPACK_TEMPERATURE)


set(SIMULPACK_LIBRARIES ${SIMULPACK_MULTIPHYSICS} ${SIMULPACK_MECHANICS} ${SIMULPACK_MESHER3D} ${SIMULPACK_UTILS} ${SIMULPACK_FEM} ${SIMULPACK_MATERIALS} ${SIMULPACK_MYUTILS} ${SIMULPACK_SUBDI_COLLAPSE3D} ${SIMULPACK_PMECHANICS} ${SIMULPACK_MESH_IO})
SEPARATE_ARGUMENTS(SIMULPACK_LIBRARIES)
#SET(SIMULPACK_INCLUDE_DIR "${SIMULPACK_SRC} ${SIMULPACK_SRC}/utils/include" CACHE STRING "simulpack includes" FORCE)
#SEPARATE_ARGUMENTS(SIMULPACK_INCLUDE_DIR)

if (NOT SIMULPACK_MECHANICS)
  set(SIMULPACK_DIR "" CACHE PATH "Location of SIMULPACK main tree.")
  set(SIMULPACK_LIB_PATH "" CACHE PATH "Additional path to search SimulPack libraries" ) 
endif(NOT SIMULPACK_MECHANICS)


include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(SIMULPACK DEFAULT_MSG
  SIMULPACK_MECHANICS SIMULPACK_MESHER3D SIMULPACK_UTILS SIMULPACK_FEM SIMULPACK_MATERIALS SIMULPACK_MYUTILS SIMULPACK_SUBDI_COLLAPSE3D SIMULPACK_PMECHANICS SIMULPACK_MESH_IO SIMULPACK_INCLUDE_PATH)

